<?php
/*  2013.03.13 rocky.soar@gmail.com */

class app_etao extends app{
    public $ver = '2.0';
    public $name = '入驻etao平台';
    public $author = 'rocky.soar@gmail.com,dongdong101822@sina.com';

    public function install (){
        is_dir(HOME_DIR.'/tmp/etao') || mkdir(HOME_DIR.'/tmp/etao',755);
        
        if ( !is_writeable(HOME_DIR.'/tmp/etao') ) return false;

        return parent::install();
    }

    public function getMenu(&$menu){
        array_unshift($menu['sale']['items'][6]['items'],
            array(
                'type'=>'menu',
                'label'=>__('一淘推广'),
                'link'=>'index.php?ctl=plugins/etao'
            )
        );
    }
   
    public function crontab_queue() {
        return array(
            'mdl_feed:genfeedfull',
            'mdl_feed:genfeedinc',
        );
    }

    public function setting_load(){}
}

